/*----------------------------------------------------------------------------
 *  Copyright (C) 20078 Maxim Integrated Products Incorporated, All Rights Reserved.
 * 
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the
 *  Software is furnished to do so, subject to the following conditions:
 * 
 *  The above copyright notice and this permission notice shall be included
 *  in all copies or substantial portions of the Software.
 * 
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *  IN NO EVENT SHALL MAXIM INTEGRATED PRODUCTS BE LIABLE FOR ANY CLAIM, DAMAGES
 *  OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 *  OTHER DEALINGS IN THE SOFTWARE.
 * 
 *  Except as contained in this notice, the name of Maxim Integrated Products
 *  shall not be used except as stated in the Maxim Integrated Products
 *  Branding Policy.
 * ---------------------------------------------------------------------------
 */
    
/** 
 * \file HelloWorld.c
 * \brief Provides main function for DS8113 Hello World program
 *
 * This file provides the main function for a Hello World program that
 * will run on the DS8113 Evaluation Kit board. The serial port is initialized
 * and the message is output over the RS-232 port at 115200 baud.
 *
 */

#include <maxq2000.h>
#include <stdio.h>

// Function prototypes
void initSerial(void);

// Main program 
void main(void){

  int i,j, temp;

  for (i=0;i<100;i++){            // Delay to let things stabilize
     for (j=0;j<1600;j++);
  }
 
  initSerial();                   // Initialize the serial channel

  // Print the Hello World message
  temp = printf("\n\nHello DS8113 World!\n\n");

  while(1) ;                      // End the program here (loop)

}

