/*----------------------------------------------------------------------------
 *  Copyright (C) 20078 Maxim Integrated Products Incorporated, All Rights Reserved.
 * 
 *  Permission is hereby granted, free of charge, to any person obtaining a
 *  copy of this software and associated documentation files (the "Software"),
 *  to deal in the Software without restriction, including without limitation
 *  the rights to use, copy, modify, merge, publish, distribute, sublicense,
 *  and/or sell copies of the Software, and to permit persons to whom the
 *  Software is furnished to do so, subject to the following conditions:
 * 
 *  The above copyright notice and this permission notice shall be included
 *  in all copies or substantial portions of the Software.
 * 
 *  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 *  OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 *  MERCHANTABILITY,  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 *  IN NO EVENT SHALL MAXIM INTEGRATED PRODUCTS BE LIABLE FOR ANY CLAIM, DAMAGES
 *  OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 *  ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 *  OTHER DEALINGS IN THE SOFTWARE.
 * 
 *  Except as contained in this notice, the name of Maxim Integrated Products
 *  shall not be used except as stated in the Maxim Integrated Products
 *  Branding Policy.
 * ---------------------------------------------------------------------------
 */
    
/** 
 * \file LCD_main.c
 * \brief Provides main program to display a constant string on the LCD module
 *
 * This file provides the main program for displaying a string on the LCD 
 * module contained on the DS8113 Evaluation Kit board. This is a two-line
 * by 20 character display (LCM-S02002DSF).
 *
 */

#include "string.h"
#include "maxq2000.h"
#include "LCD_main.h"
#include "LCD_8113_Funct.h"


/* MAIN program to exercise the LCD driver functions.                            */

void main(void)
{

  uint8_t LCD_Str[42];
  uint8_t val, temp;

// Initialize LCD Module, and display 2-line message
	LCD_Init();

	strcpy(LCD_Str, "     * DS8113 *");      // Create first line of LCD text
	temp = LCD_Curpos(1,1);                  // Position cursor @ 1 line 1
	LCD_WRStr(LCD_Str);                      // Write string to LCD
        //
	strcpy(LCD_Str, "Smart Card Interface"); // Create 2nd line of LCD text
	temp = LCD_Curpos(2,1);                  // Position cursor @ 1 line 2
	LCD_WRStr(LCD_Str);                      // Write string to LCD

        while(1) ;                               // End program here (loop)

}

